<?php 
class Application_Model_Tabledatabase extends MyWeb_Model_Database
{

    protected $_storageName = 'Tabledatabase';

    protected $_formClasses = array(
        'insert' => 'tabledatabaseNew',
        'update' => 'tabledatabaseEdit',
        'search' => 'tabledatabaseSearch'
        );

    public function fetchEntry($id)
    {
        // databázový adaptér
        $db = $this->getStorage()->getAdapter();
        
        // vytvoří SELECT
        $select = $db->select();
        if (is_null($id)){
        	$select	->	from(array('T' => 'tabledatabase'),
        						array('id_tableDatabase','tableDatabase_table'))
        ;
        }else {
        	$select	->	from(array('T' => 'tabledatabase'),
        				array('id_tableDatabase','tableDatabase_table'))
        
        			->	where('T.id_tableDatabase = ?',$id);
        }
        // načítá údaje
        //echo "<p>".$select."</p>";
        $data['data'] = $db->fetchRow($select);
        return $data;
    }

    public function fetchEntries($data)
    {
        // databázový adaptér
        $db = $this->getStorage()->getAdapter();
        
        // vytvoří SELECT
        $select = $db	->	select()
        				->	from(array('T' => 'tabledatabase'),
        					array('id_tableDatabase','tableDatabase_table'))
        ;
        // načítá údaje
         if (is_null($data)){
        	//echo "<p>kompletni vypis</p>";
        }else {
        	if (array_key_exists('id_tableDatabase', $data)){
        		if (!is_null($data['id_tableDatabase']) && (strcmp($data['id_tableDatabase'],"none") !== 0) && (strcmp($data['id_tableDatabase'],"") !== 0)){
        			$select	->	where('T.id_tableDatabase = ?',$data['id_tableDatabase']); 
        		}
        	}
        
        	if (array_key_exists('tableDatabase_table', $data)){
        		if (!is_null($data['tableDatabase_table']) && (strcmp($data['tableDatabase_table'],"none") !== 0) && (strcmp($data['tableDatabase_table'],"") !== 0)){
        			$select	->	where('T.tableDatabase_table = ?',$data['tableDatabase_table']); 
        		}
        	}
        
        }
        // načítá údaje
        //echo "<p>".$select."</p>";
        $data = $db->fetchAll($select);
        	return $data;
    }


}
